%global momorel 1

Summary: OpenSync module for Python plugins
Name: libopensync-plugin-python
Version: 0.22
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: python
BuildRequires: libopensync-devel
BuildRequires: pkgconfig
BuildRequires: python-devel

%description
This module allows Python based plugins using OpenSync.

Additionally install the libopensync package.

%prep
%setup -q

autoreconf -sfi

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL
%{_libdir}/opensync/plugins/python_module.so
%{_libdir}/opensync/python-plugins

%changelog
* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
